List participants
curl --request GET \
--url https://attend.hackclub.com/api/v1/events/{event_id}/participants \
--header 'Authorization: Bearer <token>'import requests
url = "https://attend.hackclub.com/api/v1/events/{event_id}/participants"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://attend.hackclub.com/api/v1/events/{event_id}/participants', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"participants": [
{
"participant_id": 123,
"participant_event_id": 123,
"display_name": "Jane",
"full_name": "Jane Doe",
"email": "jsmith@example.com",
"slack_user_id": "<string>",
"phone": "<string>",
"pronouns": "<string>",
"headshot_url": "<string>",
"status": "invited",
"checked_in_at": "2023-11-07T05:31:56Z",
"nfc_badge_token": "<string>",
"nfc_badge_assigned": true,
"has_anaphylaxis_risk": true,
"requires_refrigeration": true,
"cross_contamination_risk": true,
"high_support_flag": true,
"can_leave_unaccompanied": true,
"waiver_signed": true,
"updated_at": "2023-11-07T05:31:56Z",
"scans_by_context": [
{
"scan_context_id": 123,
"scan_context_name": "<string>",
"checks_in": true,
"is_travel_pickup": true,
"is_airport": true,
"scan_count": 123,
"first_scanned_at": "2023-11-07T05:31:56Z",
"last_scanned_at": "2023-11-07T05:31:56Z"
}
],
"travel_inbound": {
"id": 123,
"direction": "inbound",
"mode": "plane",
"visa_required": true,
"visa_status": "<string>",
"visa_type": "<string>",
"visa_number": "<string>",
"passport_nationality": "<string>",
"is_unaccompanied_minor": true,
"carrier": "<string>",
"flight_number": "<string>",
"train_departure_station": "<string>",
"train_arrival_station": "<string>",
"departure_station": "<string>",
"arrival_station": "<string>",
"departure_city": "<string>",
"arrival_city": "<string>",
"departure_time": "2023-11-07T05:31:56Z",
"arrival_time": "2023-11-07T05:31:56Z",
"expected_arrival_time": "2023-11-07T05:31:56Z",
"bus_departure_location": "<string>",
"bus_arrival_location": "<string>",
"origin_address": "<string>",
"other_details": "<string>",
"notes": "<string>",
"pickup_dismissed_at": "2023-11-07T05:31:56Z",
"legs": [
{
"id": 123,
"position": 123,
"flight_code": "<string>",
"departure_airport": "<string>",
"arrival_airport": "<string>",
"departure_time": "2023-11-07T05:31:56Z",
"arrival_time": "2023-11-07T05:31:56Z",
"live_status": "<string>",
"live_departure_time": "2023-11-07T05:31:56Z",
"live_arrival_time": "2023-11-07T05:31:56Z",
"travel_picked_up_at": "2023-11-07T05:31:56Z",
"airport_picked_up_at": "2023-11-07T05:31:56Z"
}
]
},
"travel_outbound": {
"id": 123,
"direction": "inbound",
"mode": "plane",
"visa_required": true,
"visa_status": "<string>",
"visa_type": "<string>",
"visa_number": "<string>",
"passport_nationality": "<string>",
"is_unaccompanied_minor": true,
"carrier": "<string>",
"flight_number": "<string>",
"train_departure_station": "<string>",
"train_arrival_station": "<string>",
"departure_station": "<string>",
"arrival_station": "<string>",
"departure_city": "<string>",
"arrival_city": "<string>",
"departure_time": "2023-11-07T05:31:56Z",
"arrival_time": "2023-11-07T05:31:56Z",
"expected_arrival_time": "2023-11-07T05:31:56Z",
"bus_departure_location": "<string>",
"bus_arrival_location": "<string>",
"origin_address": "<string>",
"other_details": "<string>",
"notes": "<string>",
"pickup_dismissed_at": "2023-11-07T05:31:56Z",
"legs": [
{
"id": 123,
"position": 123,
"flight_code": "<string>",
"departure_airport": "<string>",
"arrival_airport": "<string>",
"departure_time": "2023-11-07T05:31:56Z",
"arrival_time": "2023-11-07T05:31:56Z",
"live_status": "<string>",
"live_departure_time": "2023-11-07T05:31:56Z",
"live_arrival_time": "2023-11-07T05:31:56Z",
"travel_picked_up_at": "2023-11-07T05:31:56Z",
"airport_picked_up_at": "2023-11-07T05:31:56Z"
}
]
},
"allergies": "<string>",
"medical_conditions": "<string>",
"medications": "<string>",
"diet_type": "<string>",
"life_threatening_allergies": "<string>",
"freedom_waiver_granted": true,
"emergency_contacts": [
{
"name": "<string>",
"phone": "<string>",
"relationship": "<string>",
"priority": 123
}
],
"parent_guardian_name": "<string>",
"parent_guardian_phone": "<string>",
"parent_guardian_email": "<string>"
}
],
"synced_at": "2023-11-07T05:31:56Z"
}{
"error": "Unauthorized"
}{
"error": "Unauthorized"
}{
"error": "Unauthorized"
}Participants
List participants
Full per-participant records for an event. Sensitive medical, dietary, safeguarding, and contact fields are only included for global admins and safeguarding leads. Not available to event API keys.
GET
/
events
/
{event_id}
/
participants
List participants
Authorizations
Mobile token, global API token, series API key, or event API key. See Authentication above for which endpoints each one reaches.
Path Parameters
Event id or slug.
Query Parameters
Only return registrations updated after this timestamp.
Was this page helpful?